Badgeconnect
Returns a paginated list of OB 2.1 assertions for the authenticated badge recipient
- : List assertions in your backpack
OAuth2 authorizationCode flow is currently not functional on the Swagger UI.
Assertions retrieved successfully
Bad Request
Unauthorized
User not found
Too Many Requests
Internal Server Error
GET /bcv1/assertions HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"assertions": [
{
"@context": "text",
"badge": "https://example.com/badges/1",
"evidence": [
"text"
],
"expires": "2026-01-01T00:00:00.000Z",
"extensions": {
"ANY_ADDITIONAL_PROPERTY": {}
},
"id": "text",
"image": {
"caption": "text",
"id": "text"
},
"issuedOn": "2026-01-01T00:00:00.000Z",
"narrative": "text",
"recipient": {
"hashed": true,
"identity": "text",
"salt": "text",
"type": "text"
},
"revocationReason": "text",
"revoked": true,
"type": "text",
"verification": {
"allowedOrigins": [
"text"
],
"creator": "text",
"startsWith": "text",
"type": "HostedBadge",
"url": "text",
"verificationProperty": "text"
}
}
],
"status": {
"error": "text",
"statusCode": 1,
"statusText": "text"
}
}Import an OB 2.1 assertion by URL into the authenticated user's backpack
- : Upload badges to your backpack
OAuth2 authorizationCode flow is currently not functional on the Swagger UI.
Assertion imported successfully
Invalid request or failed to import
Unauthorized
User not found
Too Many Requests
Internal Server Error
POST /bcv1/assertions HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 6
"text"{
"status": {
"error": "text",
"statusCode": 1,
"statusText": "text"
}
}Returns a paginated list of OB 2.1 assertions for the authenticated badge recipient
- : List assertions in your backpack
OAuth2 authorizationCode flow is currently not functional on the Swagger UI.
Assertions retrieved successfully
Bad Request
Unauthorized
User not found
Too Many Requests
Internal Server Error
GET /bcv1/ims/ob/v2p1/assertions HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"assertions": [
{
"@context": "text",
"badge": "https://example.com/badges/1",
"evidence": [
"text"
],
"expires": "2026-01-01T00:00:00.000Z",
"extensions": {
"ANY_ADDITIONAL_PROPERTY": {}
},
"id": "text",
"image": {
"caption": "text",
"id": "text"
},
"issuedOn": "2026-01-01T00:00:00.000Z",
"narrative": "text",
"recipient": {
"hashed": true,
"identity": "text",
"salt": "text",
"type": "text"
},
"revocationReason": "text",
"revoked": true,
"type": "text",
"verification": {
"allowedOrigins": [
"text"
],
"creator": "text",
"startsWith": "text",
"type": "HostedBadge",
"url": "text",
"verificationProperty": "text"
}
}
],
"status": {
"error": "text",
"statusCode": 1,
"statusText": "text"
}
}Import an OB 2.1 assertion by URL into the authenticated user's backpack
- : Upload badges to your backpack
OAuth2 authorizationCode flow is currently not functional on the Swagger UI.
Assertion imported successfully
Invalid request or failed to import
Unauthorized
User not found
Too Many Requests
Internal Server Error
POST /bcv1/ims/ob/v2p1/assertions HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 6
"text"{
"status": {
"error": "text",
"statusCode": 1,
"statusText": "text"
}
}Returns the OB 2.1 profile of the authenticated badge recipient
- : See who you are
OAuth2 authorizationCode flow is currently not functional on the Swagger UI.
Profile retrieved successfully
Bad Request
Unauthorized
User not found
Too Many Requests
Internal Server Error
GET /bcv1/ims/ob/v2p1/profile HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"profile": {
"@context": "text",
"email": "text",
"id": "text",
"name": "text",
"telephone": "text",
"type": "text",
"url": "text"
},
"status": {
"error": "text",
"statusCode": 1,
"statusText": "text"
}
}Returns the Badge Connect service discovery manifest for the specified domain
Manifest retrieved successfully
Bad Request
Unauthorized
Domain not found
Too Many Requests
Internal Server Error
GET /bcv1/manifest/{domain} HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"@context": "text",
"badgeConnectAPI": [
{
"apiBase": "text",
"authorizationUrl": "text",
"image": "text",
"name": "text",
"privacyPolicyUrl": "text",
"registrationUrl": "text",
"scopesOffered": [
"text"
],
"termsOfServiceUrl": "text",
"tokenUrl": "text",
"version": "text"
}
],
"id": "text"
}Returns the OB 2.1 profile of the authenticated badge recipient
- : See who you are
OAuth2 authorizationCode flow is currently not functional on the Swagger UI.
Profile retrieved successfully
Bad Request
Unauthorized
User not found
Too Many Requests
Internal Server Error
GET /bcv1/profile HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"profile": {
"@context": "text",
"email": "text",
"id": "text",
"name": "text",
"telephone": "text",
"type": "text",
"url": "text"
},
"status": {
"error": "text",
"statusCode": 1,
"statusText": "text"
}
}Forwards to the Badge Connect v1 assertions endpoint for backward compatibility
- : List assertions in your backpack
OAuth2 authorizationCode flow is currently not functional on the Swagger UI.
Assertions retrieved successfully. Response format is the same as the OB 2.1 GET /assertions endpoint.
Bad Request
Unauthorized
Not Found
Too Many Requests
Internal Server Error
GET /ims/ob/v3p0/assertions HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"assertions": [
{
"@context": "text",
"badge": "https://example.com/badges/1",
"evidence": [
"text"
],
"expires": "2026-01-01T00:00:00.000Z",
"extensions": {
"ANY_ADDITIONAL_PROPERTY": {}
},
"id": "text",
"image": {
"caption": "text",
"id": "text"
},
"issuedOn": "2026-01-01T00:00:00.000Z",
"narrative": "text",
"recipient": {
"hashed": true,
"identity": "text",
"salt": "text",
"type": "text"
},
"revocationReason": "text",
"revoked": true,
"type": "text",
"verification": {
"allowedOrigins": [
"text"
],
"creator": "text",
"startsWith": "text",
"type": "HostedBadge",
"url": "text",
"verificationProperty": "text"
}
}
],
"status": {
"error": "text",
"statusCode": 1,
"statusText": "text"
}
}Returns a paginated list of signed OB 3.0 verifiable credentials for the authenticated badge recipient
- : List assertions in your backpack
OAuth2 authorizationCode flow is currently not functional on the Swagger UI.
200Credentials retrieved successfully
Invalid request parameters
Unauthorized
Access denied
Not Found
Too Many Requests
Internal Server Error
GET /ims/ob/v3p0/credentials HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"credential": [
{
"@context": [
"text"
],
"credentialSchema": [
{
"id": "text",
"type": "text"
}
],
"credentialStatus": {
"id": "text",
"statusListCredential": "text",
"statusListIndex": "text",
"statusPurpose": "text",
"type": "text"
},
"credentialSubject": {
"achievement": {
"achievementType": "Achievement",
"alignment": [
{
"targetCode": "text",
"targetDescription": "text",
"targetFramework": "text",
"targetName": "text",
"targetType": "ceasn:Competency",
"targetUrl": "text",
"type": [
"text"
]
}
],
"creditsAvailable": 1,
"criteria": {
"id": "text",
"narrative": "text"
},
"description": "text",
"fieldOfStudy": "text",
"humanCode": "text",
"id": "text",
"image": {
"caption": "text",
"id": "text"
},
"name": "text",
"specialization": "text",
"type": [
"text"
]
},
"activityEndDate": "2026-01-01T00:00:00.000Z",
"activityStartDate": "2026-01-01T00:00:00.000Z",
"id": "text",
"identifier": [
{
"hashed": true,
"identityHash": "text",
"identityType": "emailAddress",
"salt": "text",
"type": "text"
}
],
"licenseNumber": "text",
"narrative": "text",
"role": "text",
"type": [
"text"
]
},
"description": "text",
"evidence": [
{
"audience": "text",
"description": "text",
"genre": "text",
"id": "text",
"name": "text",
"narrative": "text"
}
],
"id": "text",
"image": {
"caption": "text",
"id": "text"
},
"issuer": {
"description": "text",
"email": "text",
"id": "text",
"name": "text",
"type": [
"text"
],
"url": "text"
},
"name": "text",
"proof": [
{
"@context": [
"text"
],
"created": "text",
"cryptosuite": "text",
"proofPurpose": "text",
"proofValue": "text",
"type": "text",
"verificationMethod": "text"
}
],
"type": [
"text"
],
"validFrom": "text",
"validUntil": "text"
}
]
}Returns the Badge Connect service descriptor for OB 3.0 API discovery
Service descriptor retrieved successfully
Bad Request
Unauthorized
Not Found
Too Many Requests
Internal Server Error
GET /ims/ob/v3p0/discovery HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"info": {
"title": "OpenAPI schema for Open Badges",
"version": "3.0"
},
"openapi": "3.0.1",
"paths": {
"/credentials": {
"get": {
"operationId": "getCredentials",
"summary": "Get verifiable credentials"
}
},
"/profile": {
"get": {
"operationId": "getProfile",
"summary": "Get user profile"
}
}
},
"servers": [
{
"url": "https://api.badgr.com/ims/ob/v3p0"
}
]
}Returns the OB 3.0 profile of the authenticated badge recipient
- : See who you are
OAuth2 authorizationCode flow is currently not functional on the Swagger UI.
Profile retrieved successfully
Bad Request
Not authenticated
Access denied
Not Found
Too Many Requests
Internal Server Error
GET /ims/ob/v3p0/profile HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"@context": [
"text"
],
"email": "text",
"name": "text",
"phone": "text",
"type": [
"text"
],
"url": "text"
}Last updated
Was this helpful?